#include "antiglut.h"
#include <assert.h>
#include <mvlib.h>
#include <../source/agmainloop.c>
#include <../source/rg.c>

#define N	10000
vec3_t	vert[N];
ran_state_t state;

void genpts()
{
	int i;
	for(i = 0;i < N;i++)
		ranDirection(&state, vert[i]);
}    

vboolean draw_main(void)
{
	int i;
	glPointSize(1.8f);
	glBegin(GL_POINTS /* GL_LINES */);
		for(i = 0;i < N;i++)
		{
			glColor4f(1,1,1,0.4f);
			glVertex3fv(vert[i]);
		}
	glEnd();
	agSwap();
	return true;
}

int main()
{
	assert(sizeof(GLfloat) == sizeof(vec_t));
	agWindowConfig("Prototype agMainLoop() test",
		512,512,GL_FALSE);
	if(!agInit(AG_REQUIRED_1_1,GL_FALSE,GL_FALSE,GL_FALSE))
		return -1;
	ranInitState(&state, 1);
	genpts();
	glClearColor(.8,0.75f,0.72f,0);
	glBlendFunc(GL_SRC_ALPHA,GL_ONE_MINUS_SRC_ALPHA);
	glEnable(GL_BLEND);
	glEnable(GL_LINE_SMOOTH);
	glEnable(GL_POINT_SMOOTH);
	agMainLoop(draw_main, NULL);
	agShutdown();
	return 0;
}
